Subject: i.MX28 die temperature

From: [email-masked] (Jonathan Cameron)
Date: Thu, 28 Jun 2012 09:00:04 +0100

On 6/27/2012 11:58 PM, Marek Vasut wrote:
> Dear Juergen Beisert,
>
> [...]
>>
>> It requires a more or less complex state-machine to switch the used 4 or 5
>> pins to different modes to measure the X/Y position and the pressure. And
>> these pins interfere with the ADC input pins.
>>
>>> [...]
>
> I said I'll go through it, but it seems the IIO changed again, so I'll need to
> wrap my head around new stuff in there.
Yeah, sorry about that - people keep wanting new stuff ;)
>
> Besides, I have a feeling that the driver, as is, just simply doesn't fit in as
> it should. I'm discussing with Jonathan, since I can't really make heads or
> tails from the IIO api. It's way too complex and unless I really missed
> something, way underdocumented.
Any documentation writers welcome!
The real trick currently is to
a) figure out what is similar an already present
b) figure out if that driver is actually a good starting point. If it's
left staging then it's clean, but there may be a closer 'clean' driver
still in staging.

Having had documentation continually get left behind we did add
a 'dummy' driver that covers most stuff with lots of comments.
(still in staging at the mo staging/iio/iio_simple_dummy*)

>> Regards,
>> Juergen
> Best regards,
> Marek Vasut